﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using SuperMap.Desktop.UI;
using SuperMap.Data;

namespace SuperMap.Desktop.Samples
{
    public partial class FormMouseSelectBounds : UIForm
    {
        public FormMouseSelectBounds()
        {
            InitializeComponent();
            RegisteEvent();
        }

        private void RegisteEvent()
        {
            this.m_buttonDrawPolygon.Click += new EventHandler(m_buttonDrawPolygon_Click);
            this.m_buttonDrawRectangle.Click += new EventHandler(m_buttonDrawRectangle_Click);
            this.m_buttonSelectPolygon.Click += new EventHandler(m_buttonSelectPolygon_Click);
        }

        void m_buttonSelectPolygon_Click(object sender, EventArgs e)
        {
            BoundsSelector selector = new BoundsSelector(this);
            selector.BoundsSelected += new BoundsSelector.BoundsSelectedEventHandler(selector_BoundsSelected);
            selector.BoundsSelect(BoundsSelectAction.SelectPolygonBounds);
        }

        void selector_BoundsSelected(Geometry boundsGeometry)
        {
            try
            {
                if (boundsGeometry != null)
                {
                    this.m_textBoxRight.Text = boundsGeometry.Bounds.Right.ToString();
                    this.m_textBoxLeft.Text = boundsGeometry.Bounds.Left.ToString();
                    this.m_textBoxTop.Text = boundsGeometry.Bounds.Top.ToString();
                    this.m_textBoxBottom.Text = boundsGeometry.Bounds.Bottom.ToString();
                }
            }
            catch (Exception ex)
            {
                Application.ActiveApplication.Output.Output(ex.StackTrace, InfoType.Exception);
            }
        }

        void m_buttonDrawRectangle_Click(object sender, EventArgs e)
        {
            BoundsSelector selector = new BoundsSelector(this);
            selector.BoundsSelected += new BoundsSelector.BoundsSelectedEventHandler(selector_BoundsSelected);
            selector.BoundsSelect(BoundsSelectAction.DrawRectangleBounds);
        }

        void m_buttonDrawPolygon_Click(object sender, EventArgs e)
        {
            BoundsSelector selector = new BoundsSelector(this);
            selector.BoundsSelected += new BoundsSelector.BoundsSelectedEventHandler(selector_BoundsSelected);
            selector.BoundsSelect();
        }
    }
}
